:root, :host {
    --hero-height: 300px;
    --section-padding-x: 0px;
    --section-padding-y: 60px;
    --module-padding-x: 24px;
    --module-padding-y: 24px;
    --hero-padding-top: 8rem;
    --hero-padding-bottom: 4rem;
    --color-orange: #df6c42;
    --bs-body-font-size: 14px;
    --color-deep-purple: #322334;
    --bs-body-font-size: 16px;
    --section-padding-top: 40px;
    --section-padding-bottom: 40px;
}



/* Adjust padding for tablets */
@media (min-width: 768px) {
    :root, :host {
        --hero-height: 300px;
        --section-padding-x: 0px;
        --section-padding-y: 80px;
        --module-padding-x: 36px;
        --module-padding-y: 36px;
        --hero-padding-top: 14rem;
        --hero-padding-bottom: 6rem;
        --section-padding-top: 60px;
        --section-padding-bottom: 60px;
    }
}

/* desktop */
@media (min-width: 1024px) {
    :root, :host {
        --hero-height: 400px;
        --hero-padding-top: 18rem;
        --section-padding-top: 80px;
        --section-padding-bottom: 80px;
    }

    .umb-block-grid__area-container, .umb-block-grid__block--view::part(area-container) {
        --section-padding-x: 0px;
        --section-padding-y: 120px;
        --module-padding-x: 48px;
        --module-padding-y: 48px;
    }
}

/*** Disposition ***/

.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl, header {
    --bs-gutter-x: 3rem;
}


.hero-slide-background, section.hero {
    min-height: var(--hero-height, 600px);
}



/*** Typography ***/

body {
    font-family: "Harmonia Sans Pro Cyr", sans-serif;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4
{
    font-weight: 600;
}

p
{
    font-weight: 300;
}

.lead
{
    font-size: 1.2rem;
}

strong
{
    font-weight: 600;
}



/*** Navigation ***/

body.scrolled header {
    background-color: #00000099 !important;
}

header > div {
    padding-right: calc(var(--bs-gutter-x) * .5);
    padding-left: calc(var(--bs-gutter-x) * .5);
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    max-width: 1630px;
    margin-left: auto;
    margin-right: auto;
}

.navbar-brand-image img {
    max-width: 125px;
    width: 125px;
}

@media screen and (min-width: 768px) {
    .navbar-brand-image img {
        max-width: 150px;
        width: 150px;
    }
}


.ir-menu {
    width: 100%;
    display: flex;
    z-index: 1;
    position: relative;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: start;
}

.ir-menu-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 1rem;
}

.ir-nav {
    order: 1;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    overflow-y: auto;
    transition: max-height 0.25s ease-in-out;
    position: relative;
}

.ir-menu.open .ir-nav {
    max-height: 80vh;
}

.ir-menu > .ir-menu-header,
.ir-menu > .ir-nav {
    flex: 1 0 100%;
}

.ir-nav ul, .ir-nav li {
    list-style-type: none;
    margin: 0;
    padding: 0
}

.ir-nav > ul {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-right: 1rem;
}

.nav-link {
    flex-grow: 1;
    margin-bottom: 0px;
    margin-top: 0px;
    padding: .5rem 1rem;
    appearance: none;
    background: inherit;
    border: none;
    line-height: inherit;
}

.nav-item.dropdown {
    position: relative;
}

.ir-nav .nav-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
    border-radius: 1rem;
    align-self: center;
    margin-right: 0;
    margin-left: auto;
}

.ir-nav .nav-button:hover {
    cursor: pointer;
}

.ir-nav .nav-link:focus-visible,
li.dropdown .nav-button:focus-visible {
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(0, 0, 0, .125);
}

.ir-nav .sub-menu {
    flex-direction: column;
    min-width: 240px;
    display: flex;
    margin-left: .5rem;
}

.nav-item-content {
    display: flex;
    align-items: center;
}

li.dropdown .nav-button {
    height: 100%;
}

.ir-menu {
    z-index: 1;
}

.menu-dropdown {
    display: none;
}

li.dropdown.open > .menu-dropdown {
    display: block;
}

.ir-menu .nav-button {
    order: 1;
    display: flex;
    aspect-ratio: 1;
    align-items: center;
}

.ir-nav .dropdown.open > .nav-item-content svg {
    transform: rotate(180deg);
}

@media screen and (min-width: 992px) {
    .menu-dropdown {
        position: absolute;
        top: 100%;
        background-color: #e2e2e2;
    }

    .ir-nav .sub-menu .sub-menu {
        margin-left: 0px;
    }

    .nav-link {
        padding: .5rem .5rem;
    }

    .ir-nav .nav-button:hover {
        cursor: initial;
    }

    .ir-nav {
        padding-left: 0px;
        padding-right: 0px;
        max-height: initial;
        overflow: initial;
    }

        .ir-nav > ul {
            padding-right: 0px;
        }

    .ir-menu-header {
        display: none;
    }

    .menu-dropdown .menu-dropdown {
        display: none;
        position: absolute;
        top: 0%;
        left: 100%
    }

    li.dropdown.open:not(:hover) > .menu-dropdown {
        display: none;
    }

    li.dropdown:hover > .menu-dropdown {
        display: block;
    }

    .ir-nav > ul > li {
        padding-top: 1rem;
        padding-bottom: 1rem;
        margin-right: 0rem;
        margin-left: 0rem;
    }

        .ir-nav > ul > li:hover > .nav-item-content svg {
            transform: rotate(180deg);
        }

    .ir-nav .menu-dropdown .nav-item-content svg {
        transform: rotate(-90deg) !important;
    }
}

/* Menu Adjustments */


.nav-link
{
    margin-left: 0px;
    margin-right: 0px;
}

button.nav-button {
    border: 0px;
    background-color: transparent;
    padding: 0px;
}


ir-nav .nav-icon > svg {
    stroke-width: 1px;
    stroke: currentColor;
}

.ir-menu-header button {
    appearance: none;
}

.ir-menu .nav-button svg {
    width: 24px;
    height: 24px;
}

@media screen and (min-width: 992px) {

    .ir-nav > ul > li
    {
        margin-left: 12px;
        margin-right: 12px;
    }

    .ir-nav > ul > li > div > .nav-button
    {
        margin-left: -.5rem;
    }

    .menu-dropdown {
        background-color: #f2f2f2;
    }

    .ir-menu .nav-button svg {
        width: 16px;
        height: 16px;
    }

}

@media screen and (max-width: 991px)
{
    .ir-nav li li > div > .nav-link {
        font-size: .9rem;
        line-height: 1.2
    }

    .ir-menu button {
    }
}


.transition-transform {
    transition-duration: .15s;
    transition-property: transform;
    transition-timing-function: cubic-bezier(.4,0,.2,1);
}

/*** End Menu ***/